@import url('https://fonts.googleapis.com/css2?family=Libre+Franklin:wght@200;300;400;500;600&family=Work+Sans:wght@200;300;400;500;600&display=swap');

body {
    font-family: Arial, sans-serif;
    background-color: #2A4555;
}

.container {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: start;
    gap: 20px;
    margin: 0 auto;
    padding: 20px;
  max-width: 1425px;
}

.container .left,
.container .right {
    flex-basis: 100%;
}

.container input,
.container textarea,
.container button {
  width: 100%;
  padding: 10px;
  margin-bottom: 20px;
  border: none;
  border-radius: 10px;
  background: rgb(21 35 44 / 60%);
  backdrop-filter: blur(10px);
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
  box-sizing: border-box;
  color: #B6C3CC;
  font-size: 14px;
  font-family: 'Work Sans', sans-serif;
}

.container textarea {
  height: 80px;
  overflow: hidden;
  resize: none;
}

.container label {
    display: block;
    margin-bottom: 5px;
    color: #B6C3CC;
  text-transform: capitalize;
  font-weight: 600;
  font-size: 14px;
  font-family: 'Work Sans', sans-serif;
}

.container button {
  background-color: #FE6016;
  color: #fff;
  cursor: pointer;
  border-radius: 0;
  font-family: 'Libre Franklin', sans-serif;
  font-weight: 500;
  text-transform: uppercase;
  font-size: 18px;
  width: 50%;
  transition: all ease-in-out 0.2s;
}

.container button:hover {
    background-color: #fff;
    color: #FE6016;
  transition: all ease-in-out 0.2s;
}

.button-row {
  display: flex;
  justify-content: space-between;
}

.button-row button {
  margin-right: 10px;
}

.button-row button:last-child {
  margin-right: 0;
}

.container pre {
    background-color: rgba(255, 255, 255, 0.7);
    backdrop-filter: blur(10px);
    border: 1px solid #21252B;
    padding: 15px;
    text-align: left;
    overflow: auto;
    border-radius: 10px;
  max-height:700px;
  max-width: 550px;
}

.row {
  display: flex;
  justify-content: space-between;
}

.col {
  flex: 1;
  margin-right: 10px;
}

.col:last-child {
  margin-right: 0;
}

hr {
  border: none;
  border-bottom: 1px solid rgb(182 195 204 / 60%);
  margin: 20px 0 30px;
}

.navbar-brand {
  display: flex;
  align-items: center;
  text-indent: -999px;
  position: relative;
  z-index: 99;
  overflow: hidden;
  width: 220px;
  height: 36.5px;
  margin: 20px;
}

.navbar-brand .symbol {
  display: block;
  background: url('https://www.dmipartners.com/assets/images/general/logo-symbol.png') center center no-repeat;
  background-size: contain;
  width: 35px;
  height: 36.5px;
}

.navbar-brand .copyline {
  display: block;
  background: url('https://www.dmipartners.com/assets/images/general/logo-copy.png') center center no-repeat;
  background-size: contain;
  height: 36.5px;
  width: 185px;
}

.copy {
  box-sizing: border-box;
  position: relative;
  display: block;
  transform: scale(var(--ggs,1));
  width: 14px;
  height: 18px;
  border: 2px solid;
  margin-left: -5px;
  margin-top: -4px
}

.copy::after,
.copy::before {
  content: "";
  display: block;
  box-sizing: border-box;
  position: absolute
}

.copy::before {
  background:
          linear-gradient( to left,
          currentColor 5px, transparent 0)
          no-repeat right top/5px 2px,
          linear-gradient( to left,
          currentColor 5px, transparent 0)
          no-repeat left bottom/ 2px 5px;
  box-shadow: inset -4px -4px 0 -2px;
  bottom: -6px;
  right: -6px;
  width: 14px;
  height: 18px
}

.copy::after {
  width: 6px;
  height: 2px;
  background: currentColor;
  left: 2px;
  top: 2px;
  box-shadow: 0 4px 0,0 8px 0
}

.code-container {
  position: relative;
  height: 100vh;
  max-height: 520px;
  margin-bottom: 40px;
}

#codeBlock {
  height: 100%;
}

#copyBtn {
  position: absolute;
  top: 10px;
  right: 10px;
  z-index: 10;
  width: fit-content;
  padding: 10px 15px;
  border-radius: 10px;
  background-color: #f0f0f0;
  color: #2A4555;
  opacity: 0.5;
  transition: all ease-in-out 0.2s;
}

#copyBtn:hover {
  background-color: #f0f0f0;
  color: #FE6016;
  opacity: 1;
  transition: all ease-in-out 0.2s;
}

@media (min-width: 768px) {
    .container {
        flex-direction: row;
        flex-wrap: nowrap;
    }

    .container .left,
    .container .right {
        flex-basis: 40%;
    }

    .container .right {
      margin-left: 50px;
    }
}
